Bug 253942 - Windows Neighborhood Browsing Too Slow
Windows Neighborhood Browsing Too Slow
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
7
i386 Linux
high Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 21:57 EDT by Granville Xiong
Modified: 2015-03-03 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:13:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Granville Xiong 2007-08-22 21:57:22 EDT
Description of problem:

When I used nautilus-2.18.1-2.fc7 to browse Windows neighborhoods in my local
network, I found that nautilus was just too slow to respond. Before using
nautilus, I have configured samba-3.0.25a-3.fc7 correctly, such that
smb4k-0.8.4-1.fc7 can find all neighborhood computers in my network right away
and mount shared folders smoothly, and Windows Explorer in Windows XP can also
find my Linux computer and mount shared folders without any hassle. Compared
with the speed of smb4k, nautilus is just too slow. A more serious problem of
the browsing Windows neighborhood function of nautilus is that it failed to find
available shared folders and services provided by Windows neighborhood computers
by simply popping up a dialog box saying "Sorry, I can not display the contents
of this computer" or something like this. However smb4k displays the same shared
folders and services very quickly and use them correctly. Therefore I can
conclude that it must be something wrong with the implementation of this
browsing function of nautilus.

Version-Release number of selected component (if applicable):

2.18.1-2.fc7

How reproducible:

Always

Steps to Reproduce:
1. Click "Places -> Network" on the top panel in Gnome environment.
2. It will take quite a while to display all neighborhood computers.
3. Click a neighborhood computer that have folders and services shared.
  
Actual results:

Mostly nautilus failed to display the shared contents of neighborhood computers
which do provide shared folders and services.

Expected results:

It should work as smoothly as smb4k when samba is correctly configured.

Additional info:
Comment 1 Bug Zapper 2008-05-14 10:05:00 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:13:15 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.